Package org.apache.ignite.internal.cluster

## Class DistributedConfigurationUtils

- java.lang.Object
- - org.apache.ignite.internal.cluster.DistributedConfigurationUtils

    public final class DistributedConfigurationUtils
    extends Object

Distributed configuration utilities methods.

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> @NotNull DistributePropertyListener<T>` `makeUpdateListener​(String propUpdMsg, IgniteLogger log)`
`static <T extends Serializable> IgniteInternalFuture<Void>` `setDefaultValue​(DistributedProperty<T> prop, T val, IgniteLogger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setDefaultValue

    public static <T extends Serializable> IgniteInternalFuture<Void> setDefaultValue​(DistributedProperty<T> prop,
                                                                                      T val,
                                                                                      IgniteLogger log)

Type Parameters:
  `T` - Property type.
Parameters:
  `prop` - Property which value should be set.
  `val` - Default value.
  `log` - Logger.
Returns:
  Future for the operation.

#### makeUpdateListener

    @NotNull
    public static <T> @NotNull DistributePropertyListener<T> makeUpdateListener​(String propUpdMsg,
                                                                                IgniteLogger log)

Type Parameters:
  `T` - Type of property value.
Parameters:
  `propUpdMsg` - Update message.
  `log` - Logger.
Returns:
  Update property listener.